umbrello: DiagramsModel Class Reference

umbrello 2.32.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Attributes | List of all members
DiagramsModel Class Reference

`#include <diagramsmodel.h>`

Inheritance diagram for DiagramsModel:

## Public Member Functions
| DiagramsModel ()
int | rowCount (const QModelIndex &parent) const
int | columnCount (const QModelIndex &parent) const
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
bool | addDiagram (UMLView *view)
bool | removeDiagram (UMLView *view)
bool | removeAllDiagrams ()
void | emitDataChanged (const QModelIndex &index)
void | emitDataChanged (int index)
void | emitDataChanged (UMLView *view)

## Protected Attributes
int | m_count
UMLViewList | m_views

## Constructor & Destructor Documentation

## ◆ DiagramsModel()

DiagramsModel::DiagramsModel | ( |  | ) |
| explicit

## Member Function Documentation

## ◆ addDiagram()

bool DiagramsModel::addDiagram | ( | UMLView * | view | ) |

## ◆ columnCount()

int DiagramsModel::columnCount | ( | const QModelIndex & | parent | ) | const

## ◆ data()

QVariant DiagramsModel::data | ( | const QModelIndex & | index,
|  | int | role = `Qt::DisplayRole`
| ) |  | const

## ◆ emitDataChanged() [1/3]

void DiagramsModel::emitDataChanged | ( | const QModelIndex & | index | ) |

## ◆ emitDataChanged() [2/3]

void DiagramsModel::emitDataChanged | ( | int | index | ) |

## ◆ emitDataChanged() [3/3]

void DiagramsModel::emitDataChanged | ( | UMLView * | view | ) |

## ◆ headerData()

QVariant DiagramsModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role = `Qt::DisplayRole`
| ) |  | const

## ◆ removeAllDiagrams()

bool DiagramsModel::removeAllDiagrams | ( |  | ) |

## ◆ removeDiagram()

bool DiagramsModel::removeDiagram | ( | UMLView * | view | ) |

## ◆ rowCount()

int DiagramsModel::rowCount | ( | const QModelIndex & | parent | ) | const

## Member Data Documentation

## ◆ m_count

int DiagramsModel::m_count
| protected

## ◆ m_views

UMLViewList DiagramsModel::m_views
| protected

The documentation for this class was generated from the following files:

- umbrello/models/diagramsmodel.h
- umbrello/models/diagramsmodel.cpp